SalesOS.

Workflows

Automation workflow management

Workflows Controller_get Configuration

GET
/v1/workflows/config

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/workflows/config" \
  -H "Authorization: Bearer <token>"

Workflows Controller_get Stats

GET
/v1/workflows/stats

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/workflows/stats" \
  -H "Authorization: Bearer <token>"

Workflows Controller_find All

GET
/v1/workflows

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/workflows" \
  -H "Authorization: Bearer <token>"

Workflows Controller_create

POST
/v1/workflows

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired
curl -X POST "https://api.salesos.org/v1/workflows" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Workflows Controller_get Executions

GET
/v1/workflows/executions

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/workflows/executions" \
  -H "Authorization: Bearer <token>"

Workflows Controller_find One

GET
/v1/workflows/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X GET "https://api.salesos.org/v1/workflows/<string>" \
  -H "Authorization: Bearer <token>"

Workflows Controller_delete

DELETE
/v1/workflows/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X DELETE "https://api.salesos.org/v1/workflows/<string>" \
  -H "Authorization: Bearer <token>"

Workflows Controller_update

PUT
/v1/workflows/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired

Path Parameters

idRequiredstring
curl -X PUT "https://api.salesos.org/v1/workflows/<string>" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Workflows Controller_activate

POST
/v1/workflows/{id}/activate

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/workflows/<string>/activate" \
  -H "Authorization: Bearer <token>"

Workflows Controller_deactivate

POST
/v1/workflows/{id}/deactivate

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/workflows/<string>/deactivate" \
  -H "Authorization: Bearer <token>"

Workflows Controller_trigger

POST
/v1/workflows/trigger

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired
curl -X POST "https://api.salesos.org/v1/workflows/trigger" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Workflows Controller_get Workflow Executions

GET
/v1/workflows/{id}/executions

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X GET "https://api.salesos.org/v1/workflows/<string>/executions" \
  -H "Authorization: Bearer <token>"